Page MenuHomePhabricator

Set up and enable cross-wiki Echo database backend on beta cluster
Closed, ResolvedPublic

Description

Prior to enabling this in production, we should turn it on in beta. The necessary code was merged in rECHOb85f978ddd2f: Track what wikis a user has unread notifications on.

We'll need to:

  • Create the echo_unread_wikis table on the wikishared database
  • Set $wgEchoSharedTrackingDB = 'wikishared';

Event Timeline

Legoktm created this task.Nov 24 2015, 5:19 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added subscribers: Legoktm, Catrope.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 24 2015, 5:19 PM
Legoktm claimed this task.Nov 25 2015, 6:35 PM
Luke081515 added a subscriber: Luke081515.

Change 256120 had a related patch set uploaded (by Catrope):
Set $wgEchoSharedTrackingDb on beta

https://gerrit.wikimedia.org/r/256120

Catrope claimed this task.Nov 30 2015, 9:40 PM
Catrope set Security to None.

Change 256120 merged by jenkins-bot:
Set $wgEchoSharedTrackingDb on beta

https://gerrit.wikimedia.org/r/256120

Catrope closed this task as Resolved.Nov 30 2015, 10:55 PM